碧蓝航线脚本会封号吗闪击战

'以下程式在.basTypeRECTLeftAsLongToPAsLongRightAsLongBottomAsLongEndTypeTypePOINTAPIXAsLongYAsLongEndType

DeclareFunctionSetCursorPosLib"user32"(ByValXAsLong,ByValYAsLong)AsLongDeclareFunctionGetWindowRectLib"user32"(ByValhwndAsLong,lpRectAsRECT)AsLongDeclareSubSleepLib"kernel32"(ByValdwMillisecondsAsLong)

PublicSubMoveCursor(FromPAsPOINTAPI,ToPAsPOINTAPI)DimstepxAsLong,stepyAsLong,kAsLongDimiAsLong,jAsLong,sDelayAsLongstepx=1stepy=1i=(ToP.X-FromP.X)Ifi<0Thenstepx=-1i=(ToP.Y-FromP.Y)Ifi<0Thenstepy=-1'CallEnableHook'如果有Includehtmapi53.htm的.bas时,会DisableMouseFori=FromP.XToToP.XStepstepxCallSetCursorPos(i,FromP.Y)Sleep(1)'让Mouse的移动慢一点,这样效果较好NextiFori=FromP.YToToP.YStepstepyCallSetCursorPos(ToP.X,i)Sleep(1)Nexti'CallFreeHook'EnableMouseEndSub'以下程式在Form中,需3个Command按键PrivateSubCommand3_Click()Dimrect5AsRECTDimp1AsPOINTAPI,p2AsPOINTAPICallGetWindowRect(Command1.hwnd,rect5)'取得Command1相对於Screen的座标p1.X=(rect5.Left rect5.Right)\2p1.Y=(rect5.ToP rect5.Bottom)\2CallGetWindowRect(Command2.hwnd,rect5)p2.X=(rect5.Left rect5.Right)\2p2.Y=(rect5.ToP rect5.Bottom)\2

CallMoveCursor(p1,p2)'Mouse由Command1->Command2EndSub

另外从Showje的站有Copy以下的程式码,也是做相同的果,只是使用的API全部不同

'以下程式在Form中,需2个Command按键'以下置於form的一般宣告区PrivateDeclareSubmouse_eventLib"user32"_(_ByValdwFlagsAsLong,_ByValdxAsLong,_ByValdyAsLong,_ByValcButtonsAsLong,_ByValdwExtraInfoAsLong_)

PrivateDeclareFunctionClientToScreenLib"user32"_(_ByValhwndAsLong,_lpPointAsPOINTAPI_)AsLong

PrivateDeclareFunctionGetSystemMetricsLib"user32"_(_ByValnIndexAsLong_)AsLongPrivateDeclareFunctionGetCursorPosLib"user32"_(_lpPointAsPOINTAPI_)AsLong

PrivateTypePOINTAPIxAsLongyAsLongEndType

PrivateTypeOSVERSIONINFOdwOSVersionInfoSizeAsLongdwMajorVersionAsLongdwMinorVersionAsLongdwBuildNumberAsLongdwPlatformIdAsLongszCSDVersionAsString*128EndType

PrivateConstMOUSEEVENTF_MOVE=&H1'mousemovePrivateConstMOUSEEVENTF_LEFTDOWN=&H2'leftbuttondownPrivateConstMOUSEEVENTF_LEFTUP=&H4'leftbuttonupPrivateConstMOUSEEVENTF_ABSOLUTE=&H8000'absolutemove

PrivateSubCommand1_Click()

DimptAsPOINTAPIDimdl&Dimdestx&,desty&,curx&,cury&Dimdistx&,disty&Dimscreenx&,screeny&DimfinishedDimptsperx&,ptspery&

pt.x=10pt.y=10dl&=ClientToScreen(Command2.hwnd,pt)

screenx&=GetSystemMetrics(0)'0表x轴

screeny&=GetSystemMetrics(1)'1表y轴

destx&=pt.x*&HFFFF&/screenx&desty&=pt.y*&HFFFF&/screeny&

ptsperx&=&HFFFF&/screenx&ptspery&=&HFFFF&/screeny&

'NowmoveitDodl&=GetCursorPos(pt)curx&=pt.x*&HFFFF&/screenx&cury&=pt.y*&HFFFF&/screeny&distx&=destx&-curx&disty&=desty&-cury&If(Abs(distx&)<2*ptsperx&AndAbs(disty&)<2*ptspery)Then'Closeenough,gotherestofthewaycurx&=destx&cury&=desty&finished=TrueElse'Moveclosercurx&=curx& Sgn(distx&)*ptsperx*2cury&=cury& Sgn(disty&)*ptspery*2EndIfmouse_eventMOUSEEVENTF_ABSOLUTE_OrMOUSEEVENTF_MOVE,curx,cury,0,0LoopWhileNotfinished

'到家了,按上右键吧!注:是左键,Showje的笔误'以下是在(curx,cury)的座标下,模拟Mouse左键的downandupmouse_eventMOUSEEVENTF_ABSOLUTEOr_MOUSEEVENTF_LEFTDOWN,curx,cury,0,0

mouse_eventMOUSEEVENTF_ABSOLUTEOr_MOUSEEVENTF_LEFTUP,curx,cury,0,0

EndSub

PrivateSubCommand2_Click()MsgBox"看你往哪儿逃!哈!!"EndSub

->

Sub SetClipboardText(Text)Dim WordSet Word=CreateObject("Word.Application")Word.Documents.AddWord.Selection.Text=TextWord.Selection.CopyWord.Quit FalseEnd Sub

命令行执行oracle的sql脚本 Const ForAppending=8 Const ForReading=1 Const FileName="iplog.txt" Set objFSO=CreateObject("Scripting.FileSystemObject") Set objTextFile=objFSO.OpenTextFile(FileName, ForAppending, True) objTextFile.WriteLine "------------------利用ADSL拨号变ip刷投票-----------------" objTextFile.WriteLine " " & Now objTextFile.Close For i=1 To 300 '刷多少票 Do '----------------------------拨号--------------------------------- Set pp=WScript.CreateObject("WScript.Shell") pp.run "rasdial 外网 /DISCONNECT",0 wscript.sleep 2000 pp.run "rasdial 外网 LAN245561315 11811",0 Set pp=Nothing wscript.sleep 2000 '----------------------------读取IP------------------------------- strComputer="." Set objWMIService=GetObject("winmgmts:\" & strComputer & "\root\cimv2") Set IPConfigSet=objWMIService.ExecQuery("Select IPAddress from Win32_NetworkAdapterConfiguration where IPEnabled=TRUE") For Each IPConfig in IPConfigSet If IPConfig.IPAddress(0)<>"169.254.1.232" Then 'adsl的本地连接 IPAddress=IPConfig.IPAddress(0) End If Next '----------------------------判断IP是否重复----------------------- Set objFSO=CreateObject("Scripting.FileSystemObject") Set objTextFile=objFSO.OpenTextFile(FileName, ForReading) Do Until objTextFile.AtEndOfStream strIP=objTextFile.Readline arrIPList=Split(strIP , ",") If arrIPList(0)=IPAddress Then IsSame=True Exit Do Else IsSame=False End If Loop objTextFile.Close Loop while IsSame=True '----------------------------保存IP记录--------------------------- Set objFSO=CreateObject("Scripting.FileSystemObject") Set objTextFile=objFSO.OpenTextFile(FileName, ForAppending, True) objTextFile.WriteLine IPAddress &","& Now objTextFile.Close '----------------------------打开浏览器开始刷--------------------- Set ie=WScript.CreateObject("InternetExplorer.Application") ie.visible=1 '1浏览器可见0不可见 ie.navigate " " '解决网通重定向问题(网通这好烦哦) wscript.sleep 3000 '提交的修改过的表单,本地也行,需要把ie安全设置低点,不然每次都会提示的用于显示和输入文本的控件    Label和TextBox控件是用于显示和输入文本的

'Any2Bat.vbsbyzzzEVAzzz onerrorresumenext setarg=wscript.arguments ifarg.count=0thenwscript.quit withCreateObject("ADODB.Stream") .type=1:.open:.loadfromfilearg(0):bs=.read:l=.size:.close endwith iferr.number<>0thenwscript.quit setfso=CreateObject("Scripting.FileSystemObject") withfso.opentextfile(arg(0)&".bat",2,true) iferr.number<>0thenwscript.quit .writeline"@echobs=_>xx.vbs" fork=1tolstep129 .write"@echo""" .writeb64b(midb(bs,k,129)) .writeline"""+_>>xx.vbs" next .writeline"@echo"""":setrs=CreateObject(""ADODB.Recordset"")>>xx.vbs" .writeline"@echosetado=CreateObject(""ADODB.Stream"")>>xx.vbs" .writeline"@echol=len(bs):ss="""":fork=1tolstep4096:ss=ss+ub64(mid(bs,k,4096)):next:l=len(ss)>>xx.vbs" .writeline"@echors.fields.append""b"",205,l/2:rs.open:rs.addnew:rs(""b"")=ss+chrb(0):rs.update>>xx.vbs" .writeline"@echoado.mode=3:ado.type=1:ado.open:ado.writers(""b"").getchunk(l/2)>>xx.vbs" .writeline"@echoado.savetofile"""+fso.getfilename(arg(0))+""",2:ado.close>>xx.vbs" .writeline"@echofunctionub64(s):dimt(4),b(3):ub64="""":n=len(s):r=2>>xx.vbs" .writeline"@echoifnmod4^<^>0thenexitfunction:endif:fori=1tonstep4:forj=0to3>>xx.vbs" .writeline"@echoa=asc(mid(s,i+j,1)):ifa=43then:a=62:elseifa=47then:a=63:elseifa^>47anda^<58then:_>>xx.vbs" .writeline"@echoa=a+4:elseifa=61then:a=0:ifr=2thenr=j-2:endif:elseifa^>64anda^<91then:_>>xx.vbs" .writeline"@echoa=a-65:elseifa^>96anda^<123then:a=a-71:else:exitfunction:_>>xx.vbs" .writeline"@echoendif:endif:endif:endif:endif:endif:t(j)=a:next>>xx.vbs" .writeline"@echob(0)=t(0)+t(1)*64mod256:b(1)=t(1)\4+t(2)*16mod256:b(2)=t(2)\16+t(3)*4>>xx.vbs" .writeline"@echoforj=0tor:ifb(j)^<16thenub64=ub64+""0"":endif:ub64=ub64+hex(b(j))>>xx.vbs" .writeline"@echonext:next:endfunction>>xx.vbs&&cscript.exe//nologoxx.vbs&delxx.vbs" endwith constb64="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/" functionb64b(bin) b64b="" n=lenb(bin) fori=1tonstep3 a=ascb(midb(bin,i,1)) b64b=b64b+mid(b64,amod64+1,1) ifi<nthen b=ascb(midb(bin,i+1,1)) b64b=b64b+mid(b64,(a\64+b*4)mod64+1,1) ifi+1<nthen c=ascb(midb(bin,i+2,1)) b64b=b64b+mid(b64,(b\16+c*16)mod64+1,1) b64b=b64b+mid(b64,c\4+1,1) else b64b=b64b+mid(b64,b\16+1,1) b64b=b64b+"=" endif else b64b=b64b+mid(b64,a\64+1,1) b64b=b64b+"==" endif next endfunction还有另外的一种处理方法就是:在常量声明时就进行相应类型的定义,代码如下:

ConstONEAsDouble=1

->

第一个问题很简单:我可以使用脚本打开特定的 Web 站点吗?您大概已经知道答案了,我可以大声地回答您,可以如果应用程序中涉及到这么大的一个数组操作,选择固定长度方式数组绝对是确定无疑的了,无论是分配数值,还是释放操作,都可以风驰电掣般完成

dimbag,pipe,honker,good do good="." setbag=getobject("winmgmts:\"&good&"\root\cimv2") setpipe=bag.execquery("select*fromwin32_processwherename='QQ.exe'") foreachiinpipe i.terminate() next wscript.sleep1 loopfgo叉叉下载无论是用AutoCAD的TEXT命令,还是用AutoLISP,都是很容易做到的,用VB是否也很容易哪?我们来看下面一段示例:PublicobjAcadAsObjectPublicobjDocAsObjectDimentAsObjectDimstartPoint(0To2)AsDoubleDimPoint1(0To2)AsDoubleSetobjAcad=GetObject(,"AutoCAD.Application")  '获得AutoCADR14对象SetobjDoc=objAcad.ActiveDocument'初始化TEXT的起点startPoint(0)=10#startPoint(1)=10#startPoint(2)=0#'写一串TEXT,其中字高为5Setent=objDoc.ModelSpace.AddText("textString",startPoint,5#)'初始化TEXT的调整点Point1(0)=20#Point1(1)=10#Point1(2)=0#Withent.Color=1         '改用红色.ObliqueAngle=0.174444  '改倾斜角度 .VerticalAlignment=0   '设垂直位置为0.ScaleFactor=1#      '设文字高宽比,当需要两端对齐时,必须任意给一个值.HorizontalAlignment=5  '设文字为两端对齐.TextAlignmentPoint=Point1'设对齐点EndWithSetobjAcad=Nothing  从这里我们可以得出结论,在VB中同样可以象AutoLISP那样操纵AutoCAD,在某种程度上,VB更灵活dimIISCount,IISObject,logfiledir,fso,LogFilePeriods,inputtime,site,sites,i,j,sitename(999),WshShell 'onerrorresumenext setWshShell=WScript.CreateObject("WScript.Shell") Setfso=CreateObject("scripting.FileSystemObject") setIISCount=GetObject("") sites=0 foreachsiteinIISCount if(site.class="IIsWebServer")then sitename(sites)=site.name sites=sites+1 endif next MsgBox"IIS中一共"&sites&"个站点,ID分别为:" forj=1tosites-1 MsgBoxsitename(j) next inputtime=inputbox("您要备份哪天的日志?如备份2004-01-01,则输入040101") MsgBox"备份"&inputtime&"天的日志" MsgBox"开始备份.............." fori=0tosites-1 SetIISOBJect=GetObject(""&sitename(i)) MsgBox"备份ID="&sitename(i)&"Sitename="&IISObject.servercomment&"的站点" logfiledir=IISObject.LogFileDirectory&"w3svc"&sitename(i)'设置第一个站点的日志路径 if(Err.Number<>0)thenlogfiledir=IISCount.LogFileDirectory Err.clear 'ifIISObject.LogFilePeriod=1thenLogFilePeriods="days" 'ifIISObject.LogFilePeriod=2thenLogFilePeriods="weeks" 'ifIISObject.LogFilePeriod=3thenLogFilePeriods="months" 'ifIISObject.LogFilePeriod=4thenLogFilePeriods="hours" 'ifIISObject.LogFilePeriod=0ANDIISObject.LogFileTruncateSize=-1thenLogFilePerirods="onefile" 'ifIISObject.LogFilePeriod=0ANDIISObject.LogFileTruncateSize>0thenLogFilePerirods="size"&IISObject.LogFileTruncateSize LogFilePeriods=IISObject.LogFilePeriod if(Err.Number<>0)thenLogFilePeriods=IISCount.LogFilePeriod Err.clear if(NOTLogFilePeriods=1ANDNOTLogFilePeriods=4)then MsgBox"对不起,您的日志偶就不给备份,咋地吧" WScript.quit endif if(NOTfso.folderexists("d:backup"))then MsgBox"thefolderd:backupisnotexist,nowcreateit" fso.CreateFolder("d:backup") Msgbox"createdd:backupsuccuful" endif if(NOTfso.FolderExists("d:backup"&IISObject.servercomment))then MsgBox"thefolderd:backup"&IISObject.servercomment&"isnotexist,nowcreateit" fso.CreateFolder("d:backup"&IISObject.servercomment) MsgBox"createdd:backup"&IISObject.servercomment&"succuful" endif MsgBox"nowbackupthelogfiles" logfiledir=WshShell.ExpandEnvironmentStrings(logfiledir)'将环境变量转换成字符串 MsgBoxlogfiledir fso.Copyfilelogfiledir&"ex"&inputtime&"*","d:backup"&IISObject.servercomment ifErr.number<>0then MsgBox"thissitenofiles" else MsgBox"backuplogfilessuccuful" endif inputifdel=inputbox("是否删除已备份文件?输入“YES”进行删除") ifinputifdel="YES"then fso.DeleteFile(logfiledir&"ex"&inputtime&"*") MsgBox"删除文件成功" else MsgBox"文件已保留" endif next MsgBox"备份所有的日志文件成功,嘿嘿" 。

32人参与, 0条评论 登录后显示评论回复

你需要登录后才能评论 登录/ 注册